<!DOCTYPE html>
<html lang="es">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>Lectura de datos XML</title>
  <style>
    table {
      width: 70%;
      border-collapse: collapse;
      margin-bottom: 10px;
    }
    
    table th, table td {
      padding: 5px;
      text-align: left;
      border: 1px solid #080808;
    }
    
    table th {
      background-color: #ebc18b;
    }
    tbody{
      background-color: rgb(192, 170, 124);
    }
  </style>
</head>
<body>
  <h1>Doctores</h1>
  <table border="1" id="doctores">
    <thead>
      <th>Nombre</th>
      <th>Apellidos</th>
      <th>Cédula</th>
      <th>Profesión</th>
      <th>Email</th>
    </thead>
    <tbody>
    </tbody>
  </table>

  <h1>Pacientes</h1>
  <table border="1" id="pacientes">
    <thead>
        <th>Nombre</th>
        <th>Apellido</th>
        <th>cédula</th>
        <th>Edad</th>
        <th>fecha de nacimiento</th>
        <th>Género</th>
        <th>Dirección</th>
        <th>Teléfono</th>
        <th>Correo</th>
        <th>Tipo de sangre</th>
        <th>Alergias</th>
        <th>Enfermedades</th>
        <th>Historialclinico</th>
    </thead>
    <tbody>
    </tbody>
  </table>

  <h1>Consultas</h1>
  <table border="1" id="consultas">
    <thead>
        <th>Nombre Paciente</th>
        <th>Fecha consulta</th>
        <th>Hora consulta</th>
        <th>Medico</th>
        <th>Sintomas</th>
        <th>diagnostico</th>
        <th>tratamiento</th>
    </thead>
    <tbody>
    </tbody>
  </table>

  <h1>Hospitalización</h1>
  <table border="1" id="detallehospitalizacion">
    <thead>
        <th>Fecha de ingreso</th>
        <th>Fecha de salida</th>
        <th>Número de cama</th>
        <th>Motivo de Hospitalización</th>
        <th>diagnostico</th>
        <th>tratamiento</th>
    </thead>
    <tbody>
    </tbody>
  </table>
  <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

  <script>
    $(document).ready(() => {
      $.ajax({
        type: 'GET',
        url: 'tarea.xml',
        dataType: 'xml',
        success: function(data) {
          $(data).find('doctor').each(function() {
            let fila = $('<tr>');
            fila.append($(`<td>${$(this).find('nombre').text()}</td>`));
            fila.append($(`<td>${$(this).find('apellidos').text()}</td>`));
            fila.append($(`<td>${$(this).find('cedula').text()}</td>`));
            fila.append($(`<td>${$(this).find('profesion').text()}</td>`));
            fila.append($(`<td>${$(this).find('email').text()}</td>`));
            $('#doctores tbody').append(fila);
          });

          $(data).find('paciente').each(function() {
            let fila = $('<tr>');
            fila.append($(`<td>${$(this).find('nombre').text()}</td>`));
            fila.append($(`<td>${$(this).find('apellidos').text()}</td>`));
            fila.append($(`<td>${$(this).find('cedula').text()}</td>`));
            fila.append($(`<td>${$(this).find('edad').text()}</td>`));
            fila.append($(`<td>${$(this).find('fecha_nacimiento').text()}</td>`));
            fila.append($(`<td>${$(this).find('genero').text()}</td>`));
            fila.append($(`<td>${$(this).find('direccion').text()}</td>`));
            fila.append($(`<td>${$(this).find('telefono').text()}</td>`));
            fila.append($(`<td>${$(this).find('correo').text()}</td>`));
            fila.append($(`<td>${$(this).find('tipo_sangre').text()}</td>`));
            fila.append($(`<td>${$(this).find('alergias').text()}</td>`));
            fila.append($(`<td>${$(this).find('enfermedades').text()}</td>`));
            fila.append($(`<td>${$(this).find('historialclinico').text()}</td>`));
            $('#pacientes tbody').append(fila);
          });

          $(data).find('consulta').each(function() {
            let fila = $('<tr>');
            fila.append($(`<td>${$(this).find('nombrepaciente').text()}</td>`));
            fila.append($(`<td>${$(this).find('fechaconsulta').text()}</td>`));
            fila.append($(`<td>${$(this).find('horaconsulta').text()}</td>`));
            fila.append($(`<td>${$(this).find('medico').text()}</td>`));
            fila.append($(`<td>${$(this).find('sintomas').text()}</td>`));
            fila.append($(`<td>${$(this).find('diagnostico').text()}</td>`));
            fila.append($(`<td>${$(this).find('tratamiento').text()}</td>`));
            $('#consultas tbody').append(fila);
          });

          $(data).find('hospitalizacion').each(function() {
            let fila = $('<tr>');
            fila.append($(`<td>${$(this).find('fechaingreso').text()}</td>`));
            fila.append($(`<td>${$(this).find('fechasalida').text()}</td>`));
            fila.append($(`<td>${$(this).find('numerocama').text()}</td>`));
            fila.append($(`<td>${$(this).find('motivohospitalizacion').text()}</td>`));
            fila.append($(`<td>${$(this).find('diagnostico').text()}</td>`));
            fila.append($(`<td>${$(this).find('tratamiento').text()}</td>`));
            $('#detallehospitalizacion tbody').append(fila);
          });
          $('#doctores').show();
          $('#pacientes').show();
          $('#consultas').show();
          $('#detallehospitalizacion').show();
        }
      });
    });
   
  </script>
</body>
</html>
